- Main Page
- Modules
- Namespaces
- Classes
- Files

# fakesrc.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/basesrc.h>`
`#include <gstreamermm/buffer.h>`
`#include <gstreamermm/pad.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::FakeSrc
| Gst::FakeSrc - fakesrc plugin. More...
## Enumerations
enum | Gst::FakeSrcDataType { Gst::FAKE_SRC_DATA_ALLOCATE = 1, Gst::FAKE_SRC_DATA_SUBBUFFER }
enum | Gst::FakeSrcSizeType { Gst::FAKE_SRC_SIZETYPE_EMPTY = 1, Gst::FAKE_SRC_SIZETYPE_FIXED, Gst::FAKE_SRC_SIZETYPE_RANDOM }
enum | Gst::FakeSrcFillType { Gst::FAKE_SRC_FILLTYPE_NOTHING = 1, Gst::FAKE_SRC_FILLTYPE_ZERO, Gst::FAKE_SRC_FILLTYPE_RANDOM, Gst::FAKE_SRC_FILLTYPE_PATTERN, Gst::FAKE_SRC_FILLTYPE_PATTERN_CONT }